For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get stock for product in specified warehouse

Returns stock for a particular product in the specified warehouse.

get
/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock/{productUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
warehouseUidstringRequired

Reference to a Warehouse.

Pattern: ^[A-Za-z0-9-_]+
productUidstringRequired

Reference to a Product.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
averageCostintegerRequired
locationLabelstringRequired
maxStockLevelintegerRequired
minStockLevelintegerRequired
priceintegerRequired
productUidstringRequiredPattern: ^[A-Za-z0-9-_]+
productNamestringRequired
productSkustringRequired
quantityReservedintegerRequired
quantityStockintegerRequired
warehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]+
warehouseNamestringRequired
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
storeNamestringRequired
get/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock/{productUid}
GET /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock/{productUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "averageCost": 1,
  "locationLabel": "text",
  "maxStockLevel": 1,
  "minStockLevel": 1,
  "price": 1,
  "productUid": "text",
  "productName": "text",
  "productSku": "text",
  "quantityReserved": 1,
  "quantityStock": 1,
  "warehouseUid": "text",
  "warehouseName": "text",
  "storeUid": "text",
  "storeName": "text"
}

Last updated

Was this helpful?